import {View, Text} from 'react-native';
import React, {useEffect} from 'react';
import Loading from '../../Components/Loading/Loading';
import styles from '../Login/style';
import LottieView from 'lottie-react-native';
import {Dimensions, I18nManager} from 'react-native';
import globalStyles from '../../store/Constants/global.style';
import checkLanguage from '../../Helpers/translation';
import {useTranslation} from 'react-i18next';
import AsyncStorage from '@react-native-async-storage/async-storage';
import checkLanguageInLocalStorage from '../../Helpers/translation';

const Home = () => {
  const windowWidth = Dimensions.get('window').width;
  const windowHeight = Dimensions.get('window').height;
  const {t, i18n} = useTranslation();

  useEffect(() => {
    checkLanguageInLocalStorage(i18n);
  }, []);
  return (
    <View style={{position: 'relative'}}>
      <Text>{t('logout')}</Text>
      {/* <Loading
        viewStyle={globalStyles.loadingViewStyle}
        lottieLoadingStyle={globalStyles.lottieLoadingStyle}
      /> */}
    </View>
  );
};

export default Home;
